summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorLuis Aranguren2020-02-13 08:59:11 +1100
committerLuis Aranguren2020-02-13 08:59:11 +1100
commit516a421f1d06c2a451ac3d159e260216f0dc4a19 (patch)
tree9aa2fb46c0b2e5f5c3aa3a0b32c75c75fc64898a
parent6051059aae4fac50930737fc0d45d2efef0e11b1 (diff)
downloadaur-516a421f1d06c2a451ac3d159e260216f0dc4a19.tar.gz
v0.14.0.5.r0.g2ae1ce480 , completely reworked
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD40
-rw-r--r--deque.patch58
3 files changed, 89 insertions, 21 deletions
diff --git a/.SRCINFO b/.SRCINFO
index fc0285de272..0f693fde77a 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,11 +1,8 @@
-# Generated by mksrcinfo v8
-# Fri Apr 28 02:26:37 UTC 2017
pkgbase = dashcore-git
pkgdesc = Dash Core (DASH, Dashpay, formerly Darkcoin) is an open source, privacy-centric digital currency. (Includes the qt-client, the headless daemon and the command-line tool). WARNING: Unstable, development version.
- pkgver = 13337.86525601d
+ pkgver = v0.14.0.5.r0.g2ae1ce480
pkgrel = 1
- url = https://www.dash.org/
- arch = i686
+ url = https://github.com/dashpay/dash
arch = x86_64
license = MIT
makedepends = autoconf
@@ -17,9 +14,11 @@ pkgbase = dashcore-git
makedepends = pkg-config
makedepends = git
makedepends = qrencode
- makedepends = automoc4
makedepends = protobuf
makedepends = qt5-tools
+ makedepends = python3
+ makedepends = cmake
+ makedepends = libevent
depends = qt5-base
depends = boost
depends = boost-libs
@@ -29,6 +28,7 @@ pkgbase = dashcore-git
provides = dash-qt
provides = dash-cli
conflicts = dashcore
+ conflicts = dashcore-bin
source = git://github.com/dashpay/dash.git
sha512sums = SKIP
diff --git a/PKGBUILD b/PKGBUILD
index 4da1d997211..34e5d23a235 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,4 +1,5 @@
-# Maintainer: GreenRaccoon23 <GreenRaccoon23 AT gmail DOT com>
+# Maintainer: Luis Aranguren <pizzaman@hotmail.com>
+# Contributor: GreenRaccoon23 <GreenRaccoon23 AT gmail DOT com>
# Based on PKGBUILD from vertcoin-git maintained by Lothar_m <lothar_m AT riseup DOT net>
# WARNING: Use the `dashcore` package instead of this one unless you know what
# you are doing. The `dashcore` package provides the official, supported, tested,
@@ -8,34 +9,43 @@
pkgname='dashcore-git'
_gitname='dash'
_gitbranch='master'
-pkgver=13337.86525601d
+pkgver=v0.14.0.5.r0.g2ae1ce480
pkgrel=1
-arch=('i686' 'x86_64')
-url="https://www.dash.org/"
+arch=('x86_64')
+url="https://github.com/dashpay/dash"
depends=('qt5-base' 'boost' 'boost-libs' 'miniupnpc' 'openssl')
-makedepends=('autoconf' 'automake' 'binutils' 'gcc' 'libtool' 'make' 'pkg-config' 'git' 'qrencode' 'automoc4' 'protobuf' 'qt5-tools')
+makedepends=('autoconf' 'automake' 'binutils' 'gcc' 'libtool' 'make' 'pkg-config' 'git' 'qrencode' 'protobuf' 'qt5-tools' 'python3' 'cmake' 'libevent')
license=('MIT')
pkgdesc="Dash Core (DASH, Dashpay, formerly Darkcoin) is an open source, privacy-centric digital currency. (Includes the qt-client, the headless daemon and the command-line tool). WARNING: Unstable, development version."
provides=('dashd' 'dash-qt' 'dash-cli')
-conflicts=('dashcore')
+conflicts=('dashcore' 'dashcore-bin')
source=("git://github.com/dashpay/dash.git")
sha512sums=('SKIP')
+prepare () {
+ cd "$_gitname"
+ git pull origin v0.14.0.x
+ #deque patch 2020-02-12
+ #inlcude deque.h library in httpserver.cpp found in https://github.com/dogecoin/dogecoin/pull/1626
+ #will delete when dash fixes/commits this.
+ patch --forward --strip=1 --input="../../deque.patch"
+}
+
pkgver() {
- cd "$srcdir/$_gitname"
- git checkout "$_gitbranch" -q
- git pull -q
- echo $(git rev-list --count HEAD).$(git rev-parse --short HEAD)
+ cd "$_gitname"
+( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
}
build() {
CXXFLAGS+=" -fPIC -DBOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT=1"
- cd "$srcdir/$_gitname"
- git checkout "$_gitbranch"
- git pull
-
+ cd "$_gitname"
+ CPPFLAGS="${CPPFLAGS} -I$PWD/depends/built/x86_64-pc-linux-gnu/include"
+ LDFLAGS="${LDFLAGS} -L${PWD}/depends/built/x86_64-pc-linux-gnu/lib -L${PWD}/depends/built/x86_64-pc-linux-gnu/lib64"
./autogen.sh
- ./configure --with-incompatible-bdb --with-gui=qt5 --enable-tests=no
+ ./configure --prefix=`pwd`/depends/$CARCH-pc-linux-gnu --with-incompatible-bdb --with-gui=qt5 --enable-tests=no --enable-hardening
make
}
diff --git a/deque.patch b/deque.patch
new file mode 100644
index 00000000000..8649cecfbe1
--- /dev/null
+++ b/deque.patch
@@ -0,0 +1,58 @@
+From d53a3bebee798e54a83fa49e8abd7e0e3f719e03 Mon Sep 17 00:00:00 2001
+From: Bertrand Jacquin <bertrand@jacquin.bzh>
+Date: Fri, 24 Jan 2020 20:16:27 +0000
+Subject: [PATCH] httpserver: include deque
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+It seems gcc 9.2.0 requires deque to be included:
+
+ x86_64-pc-linux-gnu-g++ -std=c++11 -DHAVE_CONFIG_H -I. -I../src/config -I. -I./obj -I/usr/include/db5.1/ -pthread -I/usr/include -I./leveldb/include -I./leveldb/helpers/memenv -I./secp256k1/include -pthread -I/usr/include/db5.1 -DHAVE_BUILD_INFO -D__STDC_FORMAT_MACROS -march=native -O2 -pipe -fomit-frame-pointer -c -o libdogecoin_server_a-httpserver.o `test -f 'httpserver.cpp' || echo './'`httpserver.cpp
+ httpserver.cpp:71:10: error: ‘deque’ in namespace ‘std’ does not name a template type
+ 71 | std::deque<std::unique_ptr<WorkItem>> queue;
+ | ^~~~~
+ httpserver.cpp:30:1: note: ‘std::deque’ is defined in header ‘<deque>’; did you forget to ‘#include <deque>’?
+ 29 | #include <event2/keyvalq_struct.h>
+ +++ |+#include <deque>
+ 30 |
+ httpserver.cpp: In member function ‘bool WorkQueue<WorkItem>::Enqueue(WorkItem*)’:
+ httpserver.cpp:110:13: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’?
+ 110 | if (queue.size() >= maxDepth) {
+ | ^~~~~
+ | Enqueue
+ httpserver.cpp:113:9: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’?
+ 113 | queue.emplace_back(std::unique_ptr<WorkItem>(item));
+ | ^~~~~
+ | Enqueue
+ httpserver.cpp: In member function ‘void WorkQueue<WorkItem>::Run()’:
+ httpserver.cpp:125:35: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’?
+ 125 | while (running && queue.empty())
+ | ^~~~~
+ | Enqueue
+ httpserver.cpp:129:31: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’?
+ 129 | i = std::move(queue.front());
+ | ^~~~~
+ | Enqueue
+ httpserver.cpp: In member function ‘size_t WorkQueue<WorkItem>::Depth()’:
+ httpserver.cpp:154:16: error: ‘queue’ was not declared in this scope; did you mean ‘Enqueue’?
+ 154 | return queue.size();
+ | ^~~~~
+ | Enqueue
+---
+ src/httpserver.cpp | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/httpserver.cpp b/src/httpserver.cpp
+index dba9527305..5c08e676df 100644
+--- a/src/httpserver.cpp
++++ b/src/httpserver.cpp
+@@ -19,6 +19,7 @@
+ #include <sys/types.h>
+ #include <sys/stat.h>
+ #include <signal.h>
++#include <deque>
+ #include <future>
+
+ #include <event2/event.h>
+